---

- name: 'build workspace {{ coremedia_build_tmp_directory }}/workspace'
  become: true
  become_user: "{{ coremedia_build_user }}"
  command: "{{ coremedia_build_bin_directory }}/build_workspace.sh"
  register: build_result

- name: 'set build state | true'
  set_fact:
    coremedia_build_state: true
  when:
    - build_result is succeeded

- name: 'set build state | false'
  set_fact:
    coremedia_build_state: false
  when:
    - build_result is failed

- name: 'show build failure information'
  debug:
    msg: "{{ build_result.stdout_lines }}"
  when:
    - build_result is failed
